NOTE! This site uses cookies and similar technologies.

If you not change browser settings, you agree to it.

I understand

Welcome, Guest
Username: Password: Remember me

TOPIC: xmltv2vdr not working

xmltv2vdr not working 1 year 10 months ago #1

  • maverik11
  • maverik11's Avatar
  • Offline
  • Fresh Boarder
  • Posts: 12
  • Thank you received: 1
  • Karma: 0
I am posting this here again because I did not get any reply in my original post. I hope someone can help me as I am getting desparate.

I cannot get the xmltv2vdr plug in to work.

I have an Openelec WETEK Box with a DVB-C tuner. Unfortunately it only gets 24 Hours of EPG from the cable provider, so I want to use xmltv2vdr instead.
I activated the xmltv2vdr plugin, I also have an xmltv xml file for Austria. and I followed the instructions on the xmltv2vdr wiki:

www.linuxtv.org/vdrwiki/index.php/Xmltv2vdr-plugin

Hi have this file in /storage/.kodi/userdata/addon_data/service.multimedia.vdr-addon/config/plugins/xmltv2vdr (I did notice taht this file is stored also in two other folders on the system, but this is the one that changes when I change the settings via the OSD menu):
file
12;1;127;1550
orf-sport-plus.de
orf1.at
orf2.at
orf3.at
prosieben.de
rtl.de
rtl2.de
sat1.de
servus-tv.de
sf1.ch
sf2.ch

and I have a script with the same name as
the epgsource in the OSD menu plus the extension .sh.
#!/bin/bash - Christian Bilek 09.01.2016
# get xmltv file and copy ot fpr VDR use

touch epgdata.log
echo ${date} > epgdata.log
wget http://combined.xmltv.se/austria.xml > epgdata.log

if [ $? -eq 0 ]
then
  echo "Download succesful"
else
  echo "Download failed" >&2
  exit 1
fi

mv austria.xml epgdata2xmltv.xmltv
chmod 0755 epgdata2xmltv.xmltv
if [ $? -eq 0 ]
then
  echo "rename and rights assignement OK"
  
else
  echo "Rights assignement failed" >&2
  exit 2
fi

exit 0

I copied this into /storage/.kodi/addons/pvr.vdr.vnsi

as it says on the wiki page of the add on it shuold be in the path of the VDR executeable.

However it does not work, the script is not called. I also cannot find a log, where I can see any error messages that could help me.

Any help is very much appreciated!

Cheers,

Mav.
The administrator has disabled public write access.

xmltv2vdr not working 1 year 10 months ago #2

  • conduisant
  • conduisant's Avatar
  • Offline
  • Fresh Boarder
  • Posts: 6
  • Karma: 0
hello

i'm trying to make working also xmltv2vdr...but i haven't succeeded yet :(

for your case you have used the existing name "epgdate2xmltv" i understand this name is for a german site (www.epgdata.com/)
so try another name...

for the script you have to put the file in /storage/.kodi/addons/service.multimedia.vdr-addon/bin

the name of the script = name of config file = name of EPG data . xmltv

i've done the same thing with another script but it doesn't work, i've got a blank epg and open elec tells error : "xmltv2vdr: 'kazer' ERROR epgsource returned 1"

(kazer is the name of my script)
The administrator has disabled public write access.

xmltv2vdr not working 1 year 10 months ago #3

  • maverik11
  • maverik11's Avatar
  • Offline
  • Fresh Boarder
  • Posts: 12
  • Thank you received: 1
  • Karma: 0
Hi thank you for the tipps. I will test them. Can you tell me where I can find the error logs?
The administrator has disabled public write access.

xmltv2vdr not working 1 year 10 months ago #4

  • conduisant
  • conduisant's Avatar
  • Offline
  • Fresh Boarder
  • Posts: 6
  • Karma: 0
for example you must connect to your box with ssh :

(for openelec : login = root + pass = openelec)

for obtain the log type
journalctl --no-pager -b -0
The administrator has disabled public write access.

xmltv2vdr not working 1 year 9 months ago #5

  • maverik11
  • maverik11's Avatar
  • Offline
  • Fresh Boarder
  • Posts: 12
  • Thank you received: 1
  • Karma: 0
Hi, thanks again that helped a lot. Just renamed my files to make my "own" EPG source but I cannot change the EPG source name in the OSD. How do you do that?
The administrator has disabled public write access.

xmltv2vdr not working 1 year 9 months ago #6

  • maverik11
  • maverik11's Avatar
  • Offline
  • Fresh Boarder
  • Posts: 12
  • Thank you received: 1
  • Karma: 0
figured it out, there is yet another location with a config file (/storage/.kodi/userdata/addon_data/service.multimedia.vdr-addon/config/epgsources). It now executed my script it's still processing. Curious if it will work
The administrator has disabled public write access.

xmltv2vdr not working 1 year 9 months ago #7

  • maverik11
  • maverik11's Avatar
  • Offline
  • Fresh Boarder
  • Posts: 12
  • Thank you received: 1
  • Karma: 0
So now it seems to execute my script and download the xmltv yml file. However I get the error

xmltv2vdr: 'myepg' ERROR no mapping for channelid

for all channels. I am not even sure where the list is coming from. my epg config file only has a couple of channels so it would not take so long, yet it seems to try to match it against some other list.

Where does the epgsource config file with the channel names have to be?
The administrator has disabled public write access.

xmltv2vdr not working 1 year 7 months ago #8

  • conduisant
  • conduisant's Avatar
  • Offline
  • Fresh Boarder
  • Posts: 6
  • Karma: 0
have you succeeded with xmltv2vdr ?
your EPG is update ?
The administrator has disabled public write access.

xmltv2vdr not working 8 months 3 weeks ago #9

  • maverik11
  • maverik11's Avatar
  • Offline
  • Fresh Boarder
  • Posts: 12
  • Thank you received: 1
  • Karma: 0
Hi Conduisant, after almost a year, I tried to tackle this problem once again only to fail again, even worse then before I could not get my script running even. So I uninstalle dthe VDR vfrom the Box and installed TVHeadend. The Openelec addon includes a GUI configuration where you can select a local or web source for your XMLTV file. This seems to work fine.

I also switched to LibreElec as they already have KODI 17.

I now have a bit of a problem howto regularly get the data. Currently I am using xmltv.exe with the v_grab_se_tvzon to get the data. but ultimately I would like a script that does this on my Synology NAS as this is running most of the time anyway.
The administrator has disabled public write access.
The following user(s) said Thank You: conduisant

xmltv2vdr not working 8 months 3 weeks ago #10

  • conduisant
  • conduisant's Avatar
  • Offline
  • Fresh Boarder
  • Posts: 6
  • Karma: 0
hello and thanks for your news...
last year i finally give up with VDR and now my i've a wetek play which run with openelec/tvheadend...and my TV guide is updated evrery day for one year now...
The administrator has disabled public write access.

xmltv2vdr not working 8 months 2 weeks ago #11

  • maverik11
  • maverik11's Avatar
  • Offline
  • Fresh Boarder
  • Posts: 12
  • Thank you received: 1
  • Karma: 0
I am glad I am not the only one who gave up :)

So you are still on OpenElec (6.0) ? I just upgraded to LibreElec 8 to get Kodi 17. Works fine, but I do have probles with recordings and HDMI-CEC.

TVH records and the file is there but it is not in the list in Kodi under recordings or in TVH under finished recordings.

HDMI-CEC sjust does not work.
The administrator has disabled public write access.